Get Transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to retrieve all business transactions on Vendy. This endpoint supports two forms for pagination; setting the time period for which transactions should be retrieved (via 'start' and 'end' query parameters) or number of transactions to be returned (via 'limit' query parameter).

Request:

ParameterTypeDescriptionRequired
startInteger(milliseconds since epoch)A starting time period to get transactions fromfalse
endInteger(milliseconds since epoch)A ending time period to get transactions fromfalse
limitStringoffset, count, for example 0, 100, or a count used with offset. Defaults to 0, 100, or 0, 1000 when start and end are setfalse
offsetIntegerRecords to skip when limit is a single numberfalse
statusEnum(String)completed (same as successful), pending, processing, failed, cancelled or refundedfalse
searchStringMatches phone number, email or refid. start, end and method are ignored when it's setfalse
methodStringPayment method, for example ussdfalse
walletIdIntegerOnly transactions credited to this walletfalse
simpleBooleantrue returns a lighter recordfalse
businessIdIntegerIgnored when you use API keys. See Authenticationfalse

Example request

curl --location 'https://api.myvendy.com/transactions?limit=0,%20100' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataArray[Transaction]All retrieved transaction details

Example response

{
  "status": true,
  "code": 200,
  "msg": "Transactions",
  "data": [
    {
      "id": 1,
      "uid": 1,
      "businessId": 1,
      "request": "Optional",
      "msisdn": "08012345678",
      "amount": "100.0000",
      "requestamount": "100.0000",
      "refid": "6518564956061343757",
      "vendref": null,
      "debitref": "6518564956061343757",
      "reason": "success",
      "raw_reason": "success",
      "channel": "ussd",
      "page": "pin-page",
      "currency": "NGA",
      "delivered":1,
      "vended": 1,
      "reversed": 0,
      "debited": 1,
      "failed": 0,
      "isreversing": 0,
      "processing": 0,
      "flag": null,
      "created_on": "2021-10-31T21:58:27.000Z",
      "updated_on": "2021-10-31T21:59:27.000Z",
      "delivered_date":"2021-10-31T21:59:27.000Z",
      "reversed_date": null,
      "meta": {
                "fee": 0.5,
        "commission":0.5
      }
    },
    {
      "id": 2,
      "uid": 1,
      "businessId": 1,
      "request": "Optional",
      "msisdn": "08012345678",
      "amount": "100.0000",
      "requestamount": "100.0000",
      "refid": "6518564956061343757",
      "vendref": null,
      "debitref": "6518564956061343757",
      "reason": "success",
      "raw_reason": "success",
      "channel": "ussd",
      "page": "pin-page",
      "currency": "NGA",
      "delivered":1,
      "vended": 1,
      "reversed": 0,
      "debited": 1,
      "failed": 0,
      "isreversing": 0,
      "processing": 0,
      "flag": null,
      "created_on": "2021-10-31T21:58:27.000Z",
      "updated_on": "2021-10-31T21:59:27.000Z",
      "delivered_date":"2021-10-31T21:59:27.000Z",
      "reversed_date": null,
      "meta": {
                "fee": 0.5,
        "commission":0.5
      }
    }
  ]
}

Possible errors

Error codeTypeDescription
204INVALID_DATAInput is invalid. For example, start or end isn't a number
Query Params
string
Defaults to 20

Either offset, count (for example 0, 100) or a count used with offset. Defaults to 0, 100, or 0, 1000 when start and end are set.

int32

Milliseconds since epoch.

int32

Milliseconds since epoch.

string

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

string

Number of records to skip when limit is a single number.

string
enum

Filter by status. completed and successful are the same.

Allowed:
string

Filter by payment method, for example ussd.

string

Only transactions credited to this wallet.

Matches phone number, email or refid. Other filters except walletId and status are ignored when set.

string

true returns a lighter record.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json